View Issue Details

IDProjectCategoryView StatusLast Update
0004754Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterMarcello StanisciAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.2Fixed in Version0.2 
Summary0004754: Amount not (completely) shown
DescriptionBy trying to withdraw from an exchange running on loopback, the wallet
does not show the amount withdrawn, but just "0.00 PUDOS (+5.00 PUDOS incoming)",
and keeps showing that forever.

Apparently, the exchange keeps receiving request, as logs show several lines as the following:

Oct 30 19:59:33-307852 taler-exchange-httpd-7149 INFO Handling request for URL '/reserve/withdraw'
Oct 30 19:59:33-307894 taler-exchange-httpd-7149 INFO Handling request for URL '/reserve/withdraw'
Oct 30 19:59:33-307908 taler-exchange-httpd-7149 INFO Handling request for URL '/reserve/withdraw'
Oct 30 19:59:33-308111 taler-exchange-httpd-7149 INFO Not returning DKI for ZNBM3FQW, as start time is in the future

For the bank everything is OK, as I see the green bar "withdrawal approved" after resolving
the CAPTCHA.

Moreover, the exchange is accessed through a name, like "http://localexchange".
Additional InformationTried with the latest (d76fce80779) wallet.
TagsNo tags attached.

Activities

Florian Dold

2016-11-03 04:18

manager   ~0011407

Could you try with the latest git wallet? If it doesn't work, could you report what the background page is logging?

Marcello Stanisci

2016-11-04 17:15

manager   ~0011428

It happened again with wallet 358c0ce. Below you have part of the background page. It may matter that
my local exchange runs at http://localexchange/, so not a "normal" URL.

updating old exchange
wallet.ts:980after creating precoin: current 12 KUDOS, precoin: 8 KUDOS)}
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 100 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 200 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 400 ms RequestException(anonymous function) @ wallet.ts:813
wallet.ts:980after creating precoin: current 8 KUDOS, precoin: 12 KUDOS)}
wallet.ts:980after creating precoin: current 0 KUDOS, precoin: 20 KUDOS)}
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 800 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 100 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 100 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 200 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 200 ms RequestException__proto__: Object(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 400 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 400 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 800 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 800 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 1600 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 1600 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 1600 ms RequestException(anonymous function) @ wallet.ts:813
wxMessaging.ts:282got connect!
wallet.ts:1317smallest withdraws Object
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 3200 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 3200 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 3200 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 6400 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 6400 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 6400 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 12800 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 12800 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 12800 ms RequestException(anonymous function) @ wallet.ts:813
wxMessaging.ts:282got connect!
3chrome-extension://ogndjjjpiaglmgoimdamdlfhnmfidbkd/lib/wallet/cryptoWorker.js:35 registering
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 25600 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 25600 ms RequestException(anonymous function) @ wallet.ts:813
http://localexchange/reserve/withdraw Failed to load resource: the server responded with a status of 404 (Not Found)
wallet.ts:813Failed to withdraw coin from precoin, retrying in 25600 ms RequestException(anonymous function) @ wallet.ts:813
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 51200 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 51200 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 51200 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
3wxMessaging.ts:282 got connect!
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15
http.ts:47 POST http://localexchange/reserve/withdraw 404 (Not Found)Promise @ http.ts:47req @ http.ts:43postJson @ http.ts:70(anonymous function) @ wallet.ts:923fulfilled @ wallet.ts:15
wallet.ts:813 Failed to withdraw coin from precoin, retrying in 60000 ms RequestException {}(anonymous function) @ wallet.ts:813rejected @ wallet.ts:15

Florian Dold

2016-11-04 18:17

manager   ~0011432

Does this also happen after you reset the wallet? It looks like we're trying to withdraw the coins from a reserve that doesn't exist, so maybe something is wrong with the DB.

Does withdraw work with the webstore wallet on your system?

Marcello Stanisci

2016-11-06 11:12

manager   ~0011434

Yes, just tried with the latest (<24hrs ago) wallet. The interesting thing though
is what the exchange logs. I get a bunch of the following "Not returning ..." in response to
the withdraw operations (although no hard errors are shown) -- so the error may not be on the wallet side..:

Nov 06 11:07:00-661025 taler-exchange-httpd-1972 INFO Handling request for URL '/reserve/withdraw'
Nov 06 11:07:00-661058 taler-exchange-httpd-1972 INFO Handling request for URL '/reserve/withdraw'
Nov 06 11:07:00-661065 taler-exchange-httpd-1972 INFO Handling request for URL '/reserve/withdraw'
Nov 06 11:07:00-661156 taler-exchange-httpd-1972 INFO Not returning DKI for DCDS3EQ5, as start time is in the future
Nov 06 11:07:00-803166 taler-exchange-httpd-1972 INFO Handling request for URL '/keys'
Nov 06 11:07:00-832983 taler-exchange-httpd-1972 INFO Handling request for URL '/reserve/withdraw'
Nov 06 11:07:00-833020 taler-exchange-httpd-1972 INFO Handling request for URL '/reserve/withdraw'
Nov 06 11:07:00-833030 taler-exchange-httpd-1972 INFO Handling request for URL '/reserve/withdraw'
Nov 06 11:07:00-833173 taler-exchange-httpd-1972 INFO Not returning DKI for VGGWGE5F, as start time is in the future

Marcello Stanisci

2016-11-06 14:05

manager   ~0011437

Seemingly, the wallet tries with a denomination key whose start time is
in the future (as literally said in the logs). Upon that the exchange replies with
a 404. Does the wallet sort denomkeys before picking one to withdraw with?

Recall: for a given denomination x, the exchange gives multiple keys in response to /keys
(and each of those keys accounts for a chunk of time).

Florian Dold

2016-11-07 14:27

manager   ~0011441

Should be fixed in b37e7762bb

Marcello Stanisci

2016-11-07 14:34

manager   ~0011442

Ack.

Marcello Stanisci

2016-11-17 11:19

manager   ~0011512

Reappeared, see screenshots:

https://postimg.org/image/62g2vtcnp/

https://postimg.org/image/dple5svjf/

Marcello Stanisci

2016-11-17 11:56

manager   ~0011514

Wait, .. this time was a crash from the exchange that occurred during the
withdraw. See 0004737.

Issue History

Date Modified Username Field Change
2016-10-30 20:03 Marcello Stanisci New Issue
2016-10-30 20:03 Marcello Stanisci Status new => assigned
2016-10-30 20:03 Marcello Stanisci Assigned To => Florian Dold
2016-11-03 04:18 Florian Dold Note Added: 0011407
2016-11-03 04:18 Florian Dold Status assigned => feedback
2016-11-04 17:15 Marcello Stanisci Note Added: 0011428
2016-11-04 17:15 Marcello Stanisci Status feedback => assigned
2016-11-04 18:17 Florian Dold Note Added: 0011432
2016-11-06 11:12 Marcello Stanisci Note Added: 0011434
2016-11-06 14:05 Marcello Stanisci Note Added: 0011437
2016-11-07 14:27 Florian Dold Note Added: 0011441
2016-11-07 14:28 Florian Dold Status assigned => feedback
2016-11-07 14:34 Marcello Stanisci Note Added: 0011442
2016-11-07 14:34 Marcello Stanisci Status feedback => assigned
2016-11-07 14:34 Marcello Stanisci Status assigned => resolved
2016-11-07 14:34 Marcello Stanisci Resolution open => fixed
2016-11-15 15:40 root Product Version => SVN HEAD
2016-11-15 15:40 root Fixed in Version => 0.2
2016-11-15 15:40 root Target Version => 0.2
2016-11-17 11:19 Marcello Stanisci Note Added: 0011512
2016-11-17 11:56 Marcello Stanisci Note Added: 0011514
2016-11-20 03:26 Christian Grothoff Status resolved => closed